package com.fjhx.oa.controller.netdisk;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.netdisk.dto.NetdiskDto;
import com.fjhx.oa.entity.netdisk.dto.NetdiskSelectDto;
import com.fjhx.oa.entity.netdisk.vo.NetdiskVo;
import com.fjhx.oa.service.netdisk.NetdiskService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;


/**
 * <p>
 * 网盘 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-07
 */
@RestController
@RequestMapping("/netdisk")
public class NetdiskController {

    @Autowired
    private NetdiskService netdiskService;

    /**
     * 网盘分页
     */
    @PostMapping("/page")
    public Page<NetdiskVo> page(@RequestBody NetdiskSelectDto dto) {
        return netdiskService.getPage(dto);
    }

    /**
     * 网盘子目录树
     */
    @GetMapping("/tree")
    public List<NetdiskVo> tree() {
        return netdiskService.tree();
    }

    /**
     * 网盘明细
     */
    @PostMapping("/detail")
    public NetdiskVo detail(@RequestBody BaseSelectDto dto) {
        return netdiskService.detail(dto.getId());
    }

    /**
     * 网盘新增
     */
    @PostMapping("/add")
    public void add(@RequestBody NetdiskDto netdiskDto) {
        netdiskService.add(netdiskDto);
    }

    /**
     * 网盘编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody NetdiskDto netdiskDto) {
        netdiskService.edit(netdiskDto);
    }

    /**
     * 网盘删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody List<Long> ids) {
        netdiskService.delete(ids);
    }

}
